<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PaymentLinkMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentLinkProvider extends \Google\Protobuf\Internal\Message
{
    


    protected $paramsJson = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getParamsJson()
    {
        return isset($this->paramsJson) ? $this->paramsJson : '';
    }

    public function hasParamsJson()
    {
        return isset($this->paramsJson);
    }

    public function clearParamsJson()
    {
        unset($this->paramsJson);
    }

    




    public function setParamsJson($var)
    {
        GPBUtil::checkString($var, True);
        $this->paramsJson = $var;

        return $this;
    }

}

